#pragma once
#include <cstdint>
#include <lloiff.hpp>
#include <llosymbol/llosymbol_base.hpp>
#include <string>
#include <vector>

namespace llo::s1
{
    class symbol_loader_base_t
    {
        std::string symbols_path;

      public:
        explicit symbol_loader_base_t( const std::string &path ) : symbols_path{ path }
        {
        }
        virtual void load( llo::lloiff_t & ) = 0;
    };
} // namespace llo::s1