#pragma once
#include <llodctor/llodctor_base.hpp>
#include <linuxpe>

namespace llo::s1
{
    class dctor_pe_t : public dctor_base_t
    {
      public:
        explicit dctor_pe_t( std::vector< std::uint8_t > &image,
                             llo::s1::symbol_loader_base_t *symbol_loader = nullptr )
            : dctor_base_t( image, symbol_loader )
        {
        }

        void generate( lloiff_t &iff ) override;
    };
} // namespace llo::s1