#include <llodisposition/llodisposition_types.hpp>

std::shared_ptr< llo::disposition_t > llo::disposition_t::make( const llo::utils::hash_t< std::string > &iff_name,
                                                                const llo::utils::hash_t< std::string > &section_name,
                                                                std::uint32_t section_offset )
{
    return std::make_shared< disposition_t >( iff_name, section_name, section_offset );
}